%**************************************
%
% Model trgovskega potnika
%
% Nakljuno generira 100 mest in izrauna razdalje med njimi.
%
% (c) 2009 Matej Baec
%
%**************************************

global lega a;

lega=100*rand(100,2);

plot(lega(:,1),lega(:,2),'r.');
axis equal;

a=(1:1:100);

razdalje=zeros(100,100);
for n=1:99
    for m=(n+1):100
        x=lega(m,1)-lega(n,1);
        y=lega(m,2)-lega(n,2);
        razdalje(n,m)=sqrt(x*x+y*y);
        razdalje(m,n)=razdalje(n,m);
    end
end


